/*
 * Project name:
     Led_Blinking (The simplest simple example)
 * Copyright:
     (c) Mikroelektronika, 2011.
 * Revision History:
     20110615:
       - initial release (FJ);
 * Description:
     Simple "Hello world" example for the world of PIC32 MCUs;
     Toggles DATA and STAT LEDs every second;
 * Test configuration:
     MCU:             P32MX534F064H
                      http://ww1.microchip.com/downloads/en/DeviceDoc/61156G.pdf
     Dev.Board:       MINI-32 Board
                      http://www.mikroe.com/eng/products/view/711/mini-32-board/
     Oscillator:      XT-PLL10x, 80.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for PIC32
                      http://www.mikroe.com/eng/categories/view/89/pic32-compilers/
 * NOTES:
     - None.
 */

sbit DATA at LATD6_bit;
sbit STAT at LATG6_bit;

void Wait() {
  Delay_ms(1000);
}

void main() {
  AD1PCFG = 0xFFFF;                          // configure AN pins as digital

  TRISD = 0;                                 // set direction to be output
  TRISG = 0;                                 // set direction to be output

  LATD = 0;                                  // turn OFF the PORTD leds
  LATG = 0;                                  // turn OFF the PORTG leds
  
  while (1) {
    DATA = ~DATA;                            // Toggle DATA LED
    Wait();                                  // 1s pause
    STAT = ~STAT;                            // Toggle STAT LED
    Wait();                                  // 1s pause
  }
}